## dak 1.0

=== Makefile ===
#!/usr/bin/make -f

CXXFLAGS	= -I/usr/include/postgresql/ -fPIC -Wall
CFLAGS		= -fPIC -Wall
LDFLAGS		= -fPIC
LIBS		= -lapt-pkg

C++		= g++

all: sql-aptvc.so

sql-aptvc.o: sql-aptvc.cpp
sql-aptvc.so: sql-aptvc.o
	$(C++) $(LDFLAGS) $(LIBS) -shared -o $@ $<
clean:
	rm -f sql-aptvc.so sql-aptvc.o

=== docs/Makefile ===
#!/usr/bin/make -f

# TODO: alyson andrea claire fernanda jenna neve rene shania tea ziyi

SGMLMANPAGES	= catherine.1.sgml charisma.1.sgml cindy.1.sgml heidi.1.sgml julia.1.sgml kelly.1.sgml lisa.1.sgml madison.1.sgml melanie.1.sgml natalie.1.sgml rhona.1.sgml alicia.1.sgml

MANPAGES	= $(patsubst %.sgml, %, $(SGMLMANPAGES))


all: $(MANPAGES)

%: %.sgml
	docbook2man $< > /dev/null

clean:
	rm -f $(MANPAGES) manpage.lings manpage.log manpage.refs

## dak 1.0-8.1

=== debian/changelog ===
dak (1.0-8.1) unstable; urgency=low

  * NMU with maintainer approval.
    - Rebuild using new APT (Closes: #316629).
  * Bug fix: "dak: FTBFS: server/postgres.h: No such file or directory"
    (Closes: #325111).
  * Bug fix: "dak depends on debconf without | debconf-2.0 alternate;
    blocks cdebconf transition" (Closes: #331790).
  
 -- Otavio Salvador <otavio@debian.org>  Sat, 28 Jan 2006 11:44:53 -0200

dak (1.0-8) unstable; urgency=low

  * Bug fix: "dak: uma does not work with gnupg 1.4.0 that is in
    unstable" (Closes: #299937).
  * Bug fix: "dak: A small typo", thanks to Frederic LEHOBEY (Closes:
    #299626).
  * Bug fix: "dak: add a recommendation for sudo", thanks to Frederic
    LEHOBEY (Closes: #299938).
  * Bug fix: "dak: [INTL:ja] Initial Japanese debconf translation", thanks
    to Kenshi Muto (Closes: #302482).
  * dak: French debconf templates translation
  * Bug fix: "[l10n] Czech translation for dak", thanks to Martin Šín
    (Closes: #308041).
  * Step back to a jennifer which actually runs on Debian hosts too, thus
    removing removing a small function to check debs a bit more.

 -- Joerg Jaspert <joerg@debian.org>  Sat, 21 May 2005 16:44:40 +0200

dak (1.0-7) unstable; urgency=low

  * Fix a few spelling errors.
  * Changed default signing key to CHANGETHISONEFORziyi, as
    users dont sign with the key Debian uses and need to configure this.

 -- Joerg Jaspert <joerg@debian.org>  Wed,  2 Feb 2005 21:06:32 +0100

dak (1.0-6) unstable; urgency=low

  * Gna, somehow removed an }; from default katie.conf.

 -- Joerg Jaspert <joerg@debian.org>  Wed, 26 Jan 2005 08:10:08 +0100

dak (1.0-5) unstable; urgency=low

  * Fixed () -> [] in uma.
  * Added a slightly modified patch to utils.py from Otavio Salvador to
    only send mails to whitelisted addresses. Thanks. Enabled by default,
    pointing to a non-existant file, so no mail should be sent out by
    default!
  * Made some big improvements to the Readme.
  * Modified the cron scripts I ship as examples and replace every
    emailaddress in them with the string EMAILADDRESS, to not send out
    mails by accident, for people not looking into them before they use
    them.
  * Expanded uma to add all mailaddresses from a key to the MailWhiteList
    file if that is defined.

 -- Joerg Jaspert <joerg@debian.org>  Sat, 22 Jan 2005 21:27:51 +0100

dak (1.0-4) unstable; urgency=low

  * Corrected uma templates
  * Corrected ubstable -> unstable in vars
  * Added option to helena to output NEW and BYHAND in html.
  * Added option to jennifer to run helena for every NEW or BYHAND package.
  * I think this one is ready for the archive, so close the ITP. (Closes: #284370)

 -- Joerg Jaspert <joerg@debian.org>  Sun,  9 Jan 2005 18:59:53 +0100

dak (1.0-3) unstable; urgency=low

  * Added bzip2 to Depends, used by ziyi with default apt.conf.
  * uma got a little cleanup to not issue a warning for an unused variable.
  * Added python to B-D, as python2.3 alone isn't enough.

 -- Joerg Jaspert <joerg@debian.org>  Tue, 28 Dec 2004 00:52:13 +0100

dak (1.0-2) unstable; urgency=low

  * Fixed some small errors.
  * Added uma - this one creates users for katie. Useful if you don't use
    ldap and can't sync it with emilie.
  * uma needs a new template for the mail - added.
  * And also a config snippet - added.
  * Added a Recommends: python-gnupginterface, its needed for uma.
  * Moved neve to usr/share/dak, so you must call her with an explicit path.
    She DROPs the database, so user should explicitly ask for her to run.

 -- Joerg Jaspert <joerg@debian.org>  Sat, 18 Dec 2004 23:02:31 +0100

dak (1.0-1) unstable; urgency=low

  * Initial Release. Renamed to dak as it contains more than katie.

 -- Joerg Jaspert <joerg@debian.org>  Mon, 29 Nov 2004 20:04:27 +0100

katie (0notforuse0-0) unstable; urgency=low

  * Initial non-release.  [The packaging is nowhere near complete; don't bother trying to use it unaltered.]

 -- James Troup <james@nocrew.org>  Tue, 25 Sep 2001 22:59:17 +0100

=== debian/control ===
Source: dak
Section: misc
Priority: optional
Maintainer: Joerg Jaspert <joerg@debian.org>
Uploaders: James Troup <james@nocrew.org>
Build-Depends: debhelper (>= 4.1.65), postgresql-dev, python2.3-dev (>= 2.3-1), libapt-pkg-dev, sp, docbook, docbook-utils, python
Standards-Version: 3.6.1

Package: dak
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, python-pygresql, python-apt, apt-utils, gnupg, dpkg-dev, debconf | debconf-2.0, ucf, postfix | mail-transport-agent, python-ldap, bzip2
Recommends: python-gnupginterface, sudo
Suggests: lintian, linda, less, binutils-multiarch, symlinks, postgresql, procmail, rsync, debbugs
Description: Debian's archive maintenance scripts
 This is a collection of archive maintenance scripts used by the
 Debian project.
 .
 You don't want to use this if you only have a few hundred packages to maintain.
 Look at mini-dinstall or debarchiver or maybe even apt-ftparchive for this.
 .
 This is for a big archive, but there it is the best you can get.
 .
 You need a running postgresql, but as this can be on some other host its only
 a Suggests - install package postgresql if you want it local.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHONVER = $(shell /usr/bin/python -c 'import sys;print sys.version[:3]')

CXXFLAGS = -I/usr/include/postgresql/ -I/usr/include/postgresql/server -fPIC -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0
else
	CXXFLAGS += -O2
endif

build:
	dh_testdir
	$(MAKE) CXXFLAGS='$(CXXFLAGS)'
	$(MAKE) -C docs
	cat debian/dak.install.in | sed 's/XXX/$(PYTHONVER)/'>debian/dak.install

clean:
	dh_testdir
	dh_testroot

	-$(MAKE) clean
	-rm -f debian/dak.install docs/*.1 docs/manpages.{refs,links}

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installdebconf	
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_python
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dak 1.0-8.4ubuntu2

=== debian/changelog ===
dak (1.0-8.4ubuntu2) feisty; urgency=low

  * Update build-depends to rebuild against the latest apt.

 -- Michael Bienia <geser@ubuntu.com>  Tue, 27 Feb 2007 18:38:52 +0100

dak (1.0-8.4ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: Change obsolete build dependency postgresql-dev to
      libpq-dev.
  * Update build-depends to rebuild against the latest apt.
  * Modified Maintainer values to match Debian-Maintainer-Field spec.

 -- Michael Bienia <geser@ubuntu.com>  Sat, 10 Feb 2007 17:43:19 +0100

dak (1.0-8.4) unstable; urgency=low

  * Non-maintainer upload.
  * Remove extra bzr metadata

 -- Christian Perrier <bubulle@debian.org>  Mon, 22 Jan 2007 05:54:40 +0100

dak (1.0-8.3) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Launch debconf-updatepo in the clean rule to guarantee up-to-date
    translation files for debconf templates. Closes: #336714
  * Debconf translations:
    - Vietnamese added. Closes: #313500
    - Spanish added. Closes: #336037
    - Swedish added. Closes: #336678
    - French updated. Closes: #339591
    - Czech updated. Closes: #345134
    - Japanese updated. Closes: #379943

 -- Christian Perrier <bubulle@debian.org>  Wed, 17 Jan 2007 23:25:43 +0100

dak (1.0-8.2ubuntu1) feisty; urgency=low

  * debian/control: Change obsolete build dependency postgresql-dev to
    libpq-dev.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  5 Feb 2007 11:14:00 +0100

dak (1.0-8.2) unstable; urgency=medium

  * NMU
  * Remove build dependency on versioned python version with an unversioned.
    Closes: #403357.
  * Convert to updated python policy, using python-central. Closes: #380800.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Dec 2006 13:58:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: dak
 Section: misc
 Priority: optional
-Maintainer: Joerg Jaspert <joerg@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joerg Jaspert <joerg@debian.org>
 Uploaders: James Troup <james@nocrew.org>
-Build-Depends: debhelper (>= 4.1.65), postgresql-dev, python2.3-dev (>= 2.3-1), libapt-pkg-dev, sp, docbook, docbook-utils, python
+Build-Depends: debhelper (>= 4.1.65), libpq-dev, python-dev (>= 2.3-1), libapt-pkg-dev (>= 0.6.46.4ubuntu8), sp, docbook, docbook-utils, python-central, po-debconf
+XS-Python-Version: >= 2.3
 Standards-Version: 3.6.1
 
 Package: dak
@@ -11,6 +13,7 @@
 Depends: ${shlibs:Depends}, ${python:Depends}, python-pygresql, python-apt, apt-utils, gnupg, dpkg-dev, debconf | debconf-2.0, ucf, postfix | mail-transport-agent, python-ldap, bzip2
 Recommends: python-gnupginterface, sudo
 Suggests: lintian, linda, less, binutils-multiarch, symlinks, postgresql, procmail, rsync, debbugs
+XB-Python-Version: ${python:Versions}
 Description: Debian's archive maintenance scripts
  This is a collection of archive maintenance scripts used by the
  Debian project.

## dak 1.0-8.4ubuntu5

=== debian/changelog ===
dak (1.0-8.4ubuntu5) gutsy; urgency=low

  * Rebuild against libapt-pkg-libc6.6-6-4.5.

 -- William Grant <william.grant@ubuntu.org.au>  Sun, 05 Aug 2007 17:19:09 +1000

dak (1.0-8.4ubuntu4) gutsy; urgency=low

  * Rebuild against libapt-pkg-libc6.6-6-4.4.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 Jul 2007 16:54:05 +0100

dak (1.0-8.4ubuntu3) gutsy; urgency=low

  * Rebuild for recent apt and libapt-pkg-libc6.4-6-3.53 ->
    libapt-pkg-libc6.5-6-4.4.

 -- Michael Bienia <geser@ubuntu.com>  Fri, 22 Jun 2007 19:23:17 +0200

## dak 1.0-8.4ubuntu6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-CXXFLAGS	= -I/usr/include/postgresql/ -fPIC -Wall
+CXXFLAGS	= -I/usr/include/postgresql/ -I/usr/include/postgresql/server -fPIC -Wall
 CFLAGS		= -fPIC -Wall
 LDFLAGS		= -fPIC
 LIBS		= -lapt-pkg

=== debian/changelog ===
dak (1.0-8.4ubuntu6) hardy; urgency=low

  * Rebuild against libapt-pkg-libc6.6-6-4.6.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 Dec 2007 12:08:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: Joerg Jaspert <joerg@debian.org>
 Uploaders: James Troup <james@nocrew.org>
-Build-Depends: debhelper (>= 4.1.65), libpq-dev, python-dev (>= 2.3-1), libapt-pkg-dev (>= 0.6.46.4ubuntu8), sp, docbook, docbook-utils, python-central, po-debconf
+Build-Depends: debhelper (>= 4.1.65), libpq-dev, python-dev (>= 2.3-1), libapt-pkg-dev (>= 0.7.9), sp, docbook, docbook-utils, python-central, po-debconf
 XS-Python-Version: >= 2.3
 Standards-Version: 3.6.1

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,8 @@
 	-$(MAKE) clean
 	-rm -f debian/dak.install docs/*.1 docs/manpages.{refs,links}
 
+	debconf-updatepo
+
 	dh_clean 
 
 install: build
@@ -53,7 +55,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_python
+	dh_pycentral
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## dak 1.0-8.6build1

=== debian/changelog ===
dak (1.0-8.6build1) intrepid; urgency=low

  * Rebuild with recent apt. 

 -- Michael Bienia <geser@ubuntu.com>  Fri, 13 Jun 2008 23:38:00 +0200

dak (1.0-8.6) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues and some QA stuff.
  * Debconf translations:
    - Swedish. Closes: #407857
    - Portuguese. Closes: #414383
    - German. Closes: #427537
    - Galician. Closes: #477217
    - Vietnamese. Closes: #477292
    - Finnish. Closes: #477540
    - Russian. Closes: #478008
    - Basque. Closes: #478665
  * [Lintian] Properly spell PostgreSQL in package description
  * [Lintian] Add copyright information to debian/copyright
  * [Lintian] Correct FSF address in debian/copyright
  * [Lintian] Depend on adduser which is used in postinst
  * Depend on "${misc:Depends}" instead of "debconf|debconf-2.0". Doesn't
    change anything but could be Good in the future
  * [Lintian] Remove unneeded -1 revision mention on python-dev in
    build dependencies
  * [Lintian] No longer ignore errors from "make clean"

 -- Christian Perrier <bubulle@debian.org>  Fri, 04 Apr 2008 20:27:14 +0200

dak (1.0-8.5) unstable; urgency=low

  * Non-maintainer upload.
  * Replace postgresql-dev build-dependency with libpq-dev.
    + (Closes: #409761,#429973).
  * Don't translate debconf defaults.
    In particular, empty translations caused the defaults to be the
    empty string. (Closes: #407761).

 -- Barry deFreese <bddebian@comcast.net>  Fri, 29 Feb 2008 17:15:26 -0500

=== debian/control ===
Source: dak
Section: misc
Priority: optional
Maintainer: Joerg Jaspert <joerg@debian.org>
Uploaders: James Troup <james@nocrew.org>
Build-Depends: debhelper (>= 4.1.65), libpq-dev, python-dev (>= 2.3), libapt-pkg-dev, sp, docbook, docbook-utils, python-central, po-debconf
XS-Python-Version: >= 2.3
Standards-Version: 3.6.1

Package: dak
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, python-pygresql, python-apt, apt-utils, gnupg, dpkg-dev, ${misc:Depends}, ucf, postfix | mail-transport-agent, python-ldap, bzip2, adduser
Recommends: python-gnupginterface, sudo
Suggests: lintian, linda, less, binutils-multiarch, symlinks, postgresql, procmail, rsync, debbugs
XB-Python-Version: ${python:Versions}
Description: Debian's archive maintenance scripts
 This is a collection of archive maintenance scripts used by the
 Debian project.
 .
 You don't want to use this if you only have a few hundred packages to maintain.
 Look at mini-dinstall or debarchiver or maybe even apt-ftparchive for this.
 .
 This is for a big archive, but there it is the best you can get.
 .
 You need a running PostgreSQL, but as this can be on some other host its only
 a Suggests - install package 'postgresql' if you want it local.

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	dh_testdir
 	dh_testroot
 
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 	-rm -f debian/dak.install docs/*.1 docs/manpages.{refs,links}
 
 	debconf-updatepo

## dak 1.0-8.6build2

=== debian/changelog ===
dak (1.0-8.6build2) jaunty; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Feb 2009 10:21:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joerg Jaspert <joerg@debian.org>
 Uploaders: James Troup <james@nocrew.org>
-Build-Depends: debhelper (>= 4.1.65), libpq-dev, python-dev (>= 2.3), libapt-pkg-dev, sp, docbook, docbook-utils, python-central, po-debconf
+Build-Depends: debhelper (>= 4.1.65), libpq-dev, python-dev (>= 2.3), libapt-pkg-dev (>= 0.7.20), sp, docbook, docbook-utils, python-central, po-debconf
 XS-Python-Version: >= 2.3
 Standards-Version: 3.6.1
